import { html, ref, repeat, when } from '@microsoft/fast-element';
export const previewGrid = (prefix) => html `
  <template>
    <${prefix}-design-system-provider ${ref('provider')}>
      <div class="grid-height">
        <${prefix}-grid-pro 
          ${ref('grid')}
          rowHeight="45"
          headerHeight="45"
          singleClickEdit="true"
          persist-column-state-key="zero-grid-pro-state"
        >
        ${repeat((x) => x.multipleCustomFoundationColumnConfigs, html `
            <grid-pro-column :definition=${(x) => x}>
              ${when((x) => x.cellRenderer, html `
                  <grid-pro-cell
                    :renderer=${(x) => x.cellRenderer}
                    :rendererParams=${(x) => x.cellRendererParams}
                  ></grid-pro-cell>
                `)}
            </grid-pro-column>
          `)}
        <grid-pro-column :definition=${(x) => x.multipleActionsMenuSlottedConfig}></grid-pro-column>
        <grid-pro-column :definition=${(x) => x.singleActionSlottedConfig}></grid-pro-column>
        </${prefix}-grid-pro>
      </div>
    </${prefix}-design-system-provider>
  </template>
`;
export const PreviewGridTemplate = html `
  ${(x) => previewGrid(x.prefix)}
`;
